/*******************************************************************************
 * Copyright (c) 2007 Conselleria de Infraestructuras y Transporte, Generalitat 
 * de la Comunitat Valenciana . All rights reserved. This program
 * and the accompanying materials are made available under the terms of the
 * Eclipse Public License v1.0 which accompanies this distribution, and is
 * available at http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *   Marc Gil Sendra (Prodevelop) - Initial API implementation.
 *
 ******************************************************************************/

package gormas.common.drawn2d;

import java.io.IOException;

import org.eclipse.core.runtime.FileLocator;
import org.eclipse.core.runtime.Platform;
import org.eclipse.draw2d.Graphics;
import org.eclipse.draw2d.RectangleFigure;
import org.eclipse.draw2d.geometry.Rectangle;
import org.eclipse.swt.graphics.Image;
import org.eclipse.swt.widgets.Display;

/**
 * The Class PolylineContainer.
 */
public class OrganizationExternal_diagramImage extends RectangleFigure {

	/**
	 * Instantiates a new polyline container.
	 */
	public OrganizationExternal_diagramImage() {
		super();
		setFill(false);
	}

	@Override
	protected void outlineShape(Graphics graphics) {
		Rectangle r = getBounds();

		String imagePath = "";
		Image image;
		try {
			imagePath = FileLocator.toFileURL(
					Platform.getBundle("gormas.common")
							.getResource("images")).getPath();
			imagePath += "OrganizationExternal_diagram.jpg";
			//System.out.println("estoy");
			image = new Image(Display.getCurrent(), imagePath);
			graphics.drawImage(image, r.getTopLeft());
		} catch (IOException ex) {
			ex.printStackTrace();
		}
	}
}
